`sdl2.ext.algorithms` - Useful Algorithms
=========================================

This module contains some useful algorithms for working with shapes and
surfaces. At present it contains functions for clipping lines to fit
within a set of 2D boundaries and for determining whether a point falls
along a given line.

.. automodule:: sdl2.ext.algorithms
	:undoc-members:
	:members:
